/*
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program.  If not, see <http://www.gnu.org/licenses/>.

 */
package complexityruleextraction;

/**
 *
 * @author Julián Luengo Martín
 * @date 2013
 */
public class Limits {
    
    public double up;
    public double down;
    
    /**
     * Checks if the value provided is within the bounds up and down
     * @param value the value to be checked
     * @return true if value is greater or equal than down and lower or equal than up
     */
    public boolean contains(double value){
        return (value >= down && value <= up);
    }
}
